package com.limap.common.enums.iot;

/**
 * @author Lenovo
 */
public enum CellStatusType {
    CurrentTemperature("1","温度报警通知","TTS_247435100","currentTemperature"),
    current("4","控制器电流异常报警","TTS_268760005",""),
    OCP("5","控制器开关过流停机保护通知","TTS_268740005",""),
    abnormal("6","控制器开关异常通知","TTS_247430125",""),
    DissolvedOxygen("0","溶解氧报警通知","TTS_247445088","dissolvedOxygen"),
    ProbeOffline("7","探头离线","TTS_282185026","errorCode"),
    ProbeOffline_C("7","探头离线","TTS_282185026","sensorErrorCode"),
    ControlError("8","控制器控制异常","TTS_282250048","errorCode"),
    Offline("3","设备下线通知","TTS_239317213","offline");

    private String code;
    private String value;

    private String flag;

    private String ttsCode;

    CellStatusType(String code, String value, String ttsCode,String flag){
        this.code = code;
        this.value = value;
        this.ttsCode = ttsCode;
        this.flag = flag;
    }

    public String getCode() {
        return code;
    }

    public String getValue() {
        return value;
    }

    public String getTtsCode() {
        return ttsCode;
    }

    public String getFlag() {
        return flag;
    }
}
